Tspi_Context_GetDefaultPolicy(3)

TCG Software Stack Developers Reference

NAME
Tspi_Context_GetDefaultPolicy - Get a handle to the default policy object of a given context.

SYNOPSIS
#include <tss/platform.h>
#include <tss/tcpa_defines.h>
#include <tss/tcpa_typedef.h>
#include <tss/tcpa_struct.h>
#include <tss/tss_typedef.h>
#include <tss/tss_structs.h>
#include <tss/tspi.h>

TSS_RESULT Tspi_Context_GetDefaultPolicy(TSS_HCONTEXT hContext, TSS_HPOLICY *phPolicy);

DESCRIPTION

Tspi_Context_GetDefaultPolicy determines what policy is used by all of the keys in a given context.

PARAMETERS

  hContext
The hContext parameter is the handle of the context object.

  phPolicy
The phPolicy parameter receives the handle of the default policy object bound to the context.

RETURN CODES

Tspi_Context_GetDefaultPolicy returns TSS_SUCCESS on success, otherwise one of the following values is returned:

TSS_E_INVALID_HANDLE
    hContext is not a valid handle.

TSS_E_INTERNAL_ERROR
    An internal SW error has been detected.

CONFORMING TO

Tspi_Context_GetDefaultPolicy conforms to the Trusted Computing Group Software Specification version 1.1 Golden

SEE ALSO

Tspi_Context_Create(3), Tspi_Context_Connect(3), Tspi_Context_FreeMemory(3), Tspi_Context_Close(3).